<!DOCTYPE html>
    <html>
    <head>
        <meta charset="UTF-8">
        <title>&#xc120;&#xd76c;&#xc218; CRUD &#xd3ec;&#xd2b8;&#xd3f4;&#xb9ac;&#xc624;&lpar;1&rpar;</title>
        <style>
/* From extension vscode.github */
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/

.vscode-dark img[src$=\#gh-light-mode-only],
.vscode-light img[src$=\#gh-dark-mode-only] {
	display: none;
}

</style>
        
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/Microsoft/vscode/extensions/markdown-language-features/media/markdown.css">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/Microsoft/vscode/extensions/markdown-language-features/media/highlight.css">
<style>
            body {
                font-family: Consolas;
                font-size: 15px;
                line-height: 1.5;
            }
        </style>
        <style>
.task-list-item {
    list-style-type: none;
}

.task-list-item-checkbox {
    margin-left: -20px;
    vertical-align: middle;
    pointer-events: none;
}
</style>
        
    </head>
    <body class="vscode-body vscode-light">
        <h1 id="선희수-crud-포트폴리오1">선희수 CRUD 포트폴리오(1)</h1>
<h2 id="2023-01-08">2023-01-08</h2>
<ul>
<li>first 커밋</li>
<li>Login UI 구성(디자인 X)</li>
<li>회원 가입 라우팅 추가</li>
<li>javascript 외부 모듈 스니펫을 위한 npm init 및 @type/jquery 추가</li>
</ul>
<h2 id="2023-01-09">2023-01-09</h2>
<ul>
<li>Login UI 간단한 시각적인 디자인 요소 추가</li>
<li>회원 가입 UI 기본 구성</li>
<li>javascript(jquery) 외부 모듈로 사용할건지 검토 필요</li>
</ul>
<h2 id="2023-01-10">2023-01-10</h2>
<ul>
<li>회원 가입을 위한 Oracle DB 연동 @Test 완료<!-- @slf4j 어노테이션을 선언하면 아래와 같이 Logger 객체 생성이 필요 없다. -->
<!-- private final Logger log = LoggerFactory.getLogger(getClass()); -->
</li>
</ul>
<h2 id="2023-01-11">2023-01-11</h2>
<ul>
<li>logger 공부</li>
<li>회원 가입을 위한 Oracle DB 연동  (예정)
<ul>
<li>logger(slf4j, log4j, log4j2 등 공부 후)</li>
</ul>
</li>
</ul>
<h2 id="2023-01-16">2023-01-16</h2>
<ul>
<li>Oracle DB 연동 완료</li>
<li>Controller 에서 회원 가입 로직을 테스트를 위해 로그인 구현 로직으로 대체</li>
<li>DB 정보 조회, 삽입 기능 40% 숙달</li>
</ul>
<h2 id="2023-01-17--퇴근-후-회식-및-익일-출장인-관계로-이른-종료">2023-01-17  (퇴근 후 회식 및 익일 출장인 관계로 이른 종료)</h2>
<ul>
<li>로그인 로직에서 회원가입 로직으로 변경</li>
<li>아이디 생성 규칙 적용(8자 이상, 20자 이하)</li>
<li>암호, 재확인 암호 일치 여부 구현</li>
<li>생성 규칙에 어긋날 경우 웹에 alert 띄우는 코드 적용  (예정)</li>
</ul>
<h2 id="2023-02-12">2023-02-12</h2>
<ul>
<li>로그인 후 세션 저장 구현</li>
<li>세션 유지에 따른 컨텐츠 뷰 요청 처리  (예정)</li>
</ul>

        
        
    </body>
    </html>